/*      endian.c                           22.11.93       */
/*
/  --------------------------------------------------------
/  COPYRIGHT (C) 1992: ATLAS ELEKTRONIK GMBH, D-2800 BREMEN
/  --------------------------------------------------------
/
/  HIER/SACHN: P: GE 6028 P 206 QE
/  BENENNUNG : __________________________________________________
/  ERSTELLER : BRAUN               :SAS 3
/  FREIGABE  :
/  AEND/STAND: 22.11.93
/  PRUEFVERM.:
/
/
/  SCHNITTSTELLE UND AUFGABENBESCHREIBUNG:
/  ---------------------------------------
/    transmitter for ethernet connection via xdr protocol
/
/  SPRACHE: C
/  
/  NAME UND STRUKTUR DER EINGABEPARAMETER:
/
/
/  NAME UND STRUKTUR DER AUSGABEPARAMETER:
/    
/
/  AUFGABENBESCHREIBUNG:
/
*/


/* include files */

#include "endian2.h"

EndianType get_endian_type(void)
{
union
{
   long long1;
   char char1[sizeof(long)];
} bl_test;


/* determine big or little endian */
   bl_test.long1 = 1;
   if (bl_test.long1 == (long)bl_test.char1[0])
      return LittleEndian;
   else
      return BigEndian;

}  /* get_endian_type */

